Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Interface MindTermApp

All Known Implementing Classes:
  MindTermLite, SSHInteractiveClient

public interface MindTermApp

Method Summary
`void` | `alert(java.lang.String msg)`
`java.applet.AppletContext` | `getAppletContext()`
`java.lang.String` | `getAppName()`
`SSH2Connection` | `getConnection()`
`SSHConsoleRemote` | `getConsoleRemote()`
`java.lang.String` | `getHost()`
`SSH2Interactor` | `getInteractor()`
`java.awt.Frame` | `getParentFrame()`
`int` | `getPort()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String name)`
`RandomSeed` | `getRandomSeed()`
`SSH2Transport` | `getTransport()`
`java.lang.String` | `getUserName()`
`boolean` | `isApplet()`
`boolean` | `isConnected()`
`void` | `setProperty(java.lang.String name, java.lang.String value)`

Method Detail

### getHost

    public java.lang.String getHost()

### getPort

    public int getPort()

### getProperties

    public java.util.Properties getProperties()

### getProperty

    public java.lang.String getProperty(java.lang.String name)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

### getUserName

    public java.lang.String getUserName()

### getParentFrame

    public java.awt.Frame getParentFrame()

### getAppName

    public java.lang.String getAppName()

### getRandomSeed

    public RandomSeed getRandomSeed()

### getInteractor

    public SSH2Interactor getInteractor()

### alert

    public void alert(java.lang.String msg)

### isConnected

    public boolean isConnected()

### isApplet

    public boolean isApplet()

### getAppletContext

    public java.applet.AppletContext getAppletContext()

### getTransport

    public SSH2Transport getTransport()

### getConnection

    public SSH2Connection getConnection()

### getConsoleRemote

    public SSHConsoleRemote getConsoleRemote()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD